Skip to main content
GET
/
v3
/
variants
/
{variantId}
Get variant by ID
curl --request GET \
  --url https://api.snappy.com/public-api/v3/variants/{variantId} \
  --header 'X-Api-Key: <api-key>'
{
  "id": "FB6bgFV4lf",
  "title": "NFL 25-Layer StadiumView Wall Art",
  "selectedOptions": {
    "nfl_team": "Denver Broncos"
  },
  "taxable": true,
  "media": [
    {
      "type": "image",
      "src": "https://media.snappy.com/image/o1xc17wfbda6cl91hm0r6_picture-1.jpg?w=1000&h=1000&q=80&f=auto"
    }
  ],
  "personalization": {
    "isPersonalized": true,
    "personalizationTemplateFields": [
      "firstName",
      "lastName",
      "department"
    ]
  },
  "productId": "655277e68e0719000d6c3fd5",
  "price": {
    "amount": 244.99,
    "currency": "USD"
  },
  "priceBreakdown": {
    "ddp": 0,
    "shippingFee": 0,
    "itemPrice": 244.99
  },
  "partnerPrice": {
    "amount": 45.7,
    "currency": "usd"
  },
  "descriptionHtml": "<p>The 25-Layer StadiumViews 3D Wall Art</p>",
  "details": {
    "includes": "<p>Set of 4 glasses (12oz each)</p>",
    "features": "<ul><li>Feature</li></ul>",
    "specifications": {
      "material": "lead-free glass",
      "capacity": "12oz",
      "dimensions": "4.5' tall"
    },
    "notices": {
      "prop65Warning": "Warning text"
    }
  },
  "brand": {
    "id": "6511b55142c420000d083a55",
    "name": "YouTheFan",
    "description": "Officially licensed NFL fan merchandise."
  }
}

Authorizations

X-Api-Key
string
header
required

Company Level Authentication

Include your API key in the X-Api-Key header for every request:

X-Api-Key: YOUR_API_KEY

Headers

snappy-account-id
string

Optional account identifier for swag validation/filtering.

Example:

"acc123456"

snappy-company-id
string

Optional company identifier for swag validation/filtering.

Example:

"cmp123456"

Path Parameters

variantId
string
required

Variant ID.

Pattern: ^[A-Za-z0-9]{8,}$
Example:

"FB6bgFV4lf"

Query Parameters

location
string
default:US

ISO 3166-1 alpha-2 country code.

Pattern: ^[A-Z]{2}$
Example:

"US"

include
enum<string>[]

Related entities to include.

Related entities to include.

Available options:
brand
Example:
["brand"]
fields
enum<string>[]

Comma-separated list of variant-level field expansions.

  • price - includes price (and partnerPrice for partner companies).
  • priceBreakdown - includes priceBreakdown and implies price (and partnerPrice for partner companies).
  • details - includes the variant details wrapper.

Use include=brand to include the variant's brand object (nullable).

When omitted, price, priceBreakdown, partnerPrice, and details are not returned.

Variant-level field expansions.

Available options:
price,
priceBreakdown,
details
Example:
["price", "priceBreakdown", "details"]

Response

Single variant.

Single variant.

id
string
required

Variant identifier.

Example:

"FB6bgFV4lf"

title
string
required

Variant title.

Example:

"NFL 25-Layer StadiumView Wall Art"

selectedOptions
object
required

Selected option values for this variant.

Example:
{ "nfl_team": "Denver Broncos" }
taxable
boolean
required

Whether the variant is taxable.

Example:

true

media
object[]
required

Variant media.

personalization
object
required

Personalization metadata, or null when unavailable.

productId
string

Parent product identifier.

Example:

"655277e68e0719000d6c3fd5"

price
object

Variant price in a given currency.

priceBreakdown
object

Detailed breakdown of the variant price.

partnerPrice
object

Partner-specific price for the requested location. Returned only for partner companies when pricing is requested via fields (same as price). Omitted for non-partner companies.

Example:
{ "amount": 45.7, "currency": "usd" }
descriptionHtml
string

HTML full narrative description.

Example:

"<p>The 25-Layer StadiumViews 3D Wall Art</p>"

details
object

Variant-level structured details wrapper. Returned only when fields includes details.

brand
object

Product or variant brand. Returned only when include=brand. Nullable when the product or variant has no brand.

Last modified on June 17, 2026